@rem Usage: run -jar boot.jar [options] app.class app.args
@rem where : 
@rem @options
@rem  -cp classpath    : classpath for app.class
@rem  -verbose         : print classapth for app.class
@rem  -help            : help on usage
@rem @app.class : class name of app, e.g., pku.as.Main.  This class 
@rem must have a public static main method that can be loaded by JVM.
@rem @app.args : args passed to invokedClass

@rem use java system property PKUAS_HOME to indicate pkuas root directory. 
@rem this can be achieved by specifying -DPKUAS_HOME=/home/pkuas
@rem if this property not specified, boot.jar will use the parent directory 
@rem of this app as default PKUAS_HOME .

@rem app.args for pku.as.Main
@rem -w : start java window console instead of standard output
@rem use javaw instand of java to launch JVM when using -w option

@echo off

set JAVA=%JAVA_HOME%\bin\java

set CP=boot.jar;%JAVA_HOME%\lib\tools.jar;%CP%

%JAVA%  -cp %CP% pku.as.boot.ShutdownPKUAS

pause
